// priority: 1

// Enable recipe logging, off by default
settings.logAddedRecipes = true
settings.logRemovedRecipes = true
// Enable skipped recipe logging, on by default
settings.logSkippedRecipes = false
	
// Listen to server recipe event
events.listen("recipes", event => { 
  // Remove broken recipes from vanilla and other mods
  // This is on by default, so you don"t need this line
  //event.removeBrokenRecipes = true
	
	//Unifying quartz dusts
	event.replaceOutput({}, "mekanism:dust_quartz", "thermal:quartz_dust")
	event.replaceInput({}, "mekanism:dust_quartz",  "thermal:quartz_dust")
	event.replaceOutput({}, "appliedenergistics2:nether_quartz_dust", "thermal:quartz_dust")
	event.replaceInput({}, "appliedenergistics2:nether_quartz_dust", "thermal:quartz_dust")
	
	//Unifying gears from IF and Thermal
	event.replaceOutput({}, "titanium:iron_gear", "thermal:iron_gear")
	event.replaceInput({}, "titanium:iron_gear", "thermal:iron_gear") 
	event.replaceOutput({}, "titanium:gold_gear", "thermal:gold_gear")
	event.replaceInput({}, "titanium:gold_gear", "thermal:gold_gear") 
	event.replaceOutput({}, "titanium:diamond_gear", "thermal:diamond_gear")
	event.replaceInput({}, "titanium:diamond_gear", "thermal:diamond_gear") 
	
	//Unifying plates
	event.replaceOutput({}, "#forge:plates/copper", "thermal:copper_plate")
	event.replaceInput({}, "#forge:plates/copper", "thermal:copper_plate")
	event.replaceOutput({}, "#forge:plates/tin", "thermal:tin_plate")
	event.replaceInput({}, "#forge:plates/tin", "thermal:tin_plate")
	event.replaceOutput({}, "#forge:plates/aluminum", "thermal:aluminum_plate")
	event.replaceInput({}, "#forge:plates/aluminum", "thermal:aluminum_plate")
	event.replaceOutput({}, "#forge:plates/iron", "thermal:iron_plate")
	event.replaceInput({}, "#forge:plates/iron", "thermal:iron_plate")
	event.replaceOutput({}, "#forge:plates/gold", "thermal:gold_plate")
	event.replaceInput({}, "#forge:plates/gold", "thermal:gold_plate")
	event.replaceOutput({}, "#forge:plates/lead", "thermal:lead_plate")
	event.replaceInput({}, "#forge:plates/lead", "thermal:lead_plate")
	event.replaceOutput({}, "#forge:plates/silver", "thermal:silver_plate")
	event.replaceInput({}, "#forge:plates/silver", "thermal:silver_plate")
	event.replaceOutput({}, "#forge:plates/nickel", "thermal:nickel_plate")
	event.replaceInput({}, "#forge:plates/nickel", "thermal:nickel_plate")
	event.replaceOutput({}, "#forge:plates/bronze", "thermal:bronze_plate")
	event.replaceInput({}, "#forge:plates/bronze", "thermal:bronze_plate")
	event.replaceOutput({}, "#forge:plates/electrum", "thermal:electrum_plate")
	event.replaceInput({}, "#forge:plates/electrum", "thermal:electrum_plate")
	event.replaceOutput({}, "#forge:plates/constantan", "thermal:constantan_plate")
	event.replaceInput({}, "#forge:plates/constantan", "thermal:constantan_plate")
	
	//replacing rs machine casings with thermal"
	event.replaceInput({}, "refinedstorage:machine_casing", "thermal:machine_frame")
	event.remove({output: "refinedstorage:machine_casing"})
	
	
	event.remove({output: "appliedenergistics2:fluix_covered_cable"})
	event.recipes.thermal.bottler("appliedenergistics2:fluix_covered_cable", [fluid.of("thermal:latex", 50), "appliedenergistics2:fluix_glass_cable"])
	event.recipes.thermal.bottler("appliedenergistics2:fluix_covered_cable", [fluid.of("industrialforegoing:latex", 50), "appliedenergistics2:fluix_glass_cable"])
	
	
	//Unifying Silicon
	event.replaceOutput({}, "refinedstorage:silicon", "appliedenergistics2:silicon")
	event.replaceInput({}, "refinedstorage:silicon", "appliedenergistics2:silicon")
	
	//replacing processor bindings with plastic for RS
	event.replaceInput({}, "refinedstorage:processor_binding", "industrialforegoing:plastic")
	
	
	//Adding alternate silicon recipe: Crushing sand 
	event.recipes.thermal.pulverizer(item.of("appliedenergistics2:silicon"), item.of("#forge:sand"))
	event.recipes.mekanism.enriching(item.of("appliedenergistics2:silicon"), item.of("#forge:sand"))
	
	//Alternate recipe for quartz enriched iron, so that it"s only makeable in the thermal induction smelter
	event.remove({output: "refinedstorage:quartz_enriched_iron"})
	event.recipes.thermal.smelter(item.of("refinedstorage:quartz_enriched_iron", 4), [item.of("#forge:dusts/iron", 3), item.of("#appliedenergistics2:dusts/quartz")])
	event.recipes.thermal.smelter(item.of("refinedstorage:quartz_enriched_iron", 4), [item.of("#forge:ingots/iron", 3), item.of("#appliedenergistics2:dusts/quartz")])
	event.recipes.thermal.smelter(item.of("refinedstorage:quartz_enriched_iron", 4), [item.of("#forge:dusts/iron", 3), item.of("#forge:dusts/quartz")])
	event.recipes.thermal.smelter(item.of("refinedstorage:quartz_enriched_iron", 4), [item.of("#forge:ingots/iron", 3), item.of("mekanism:dust_quartz")])

	//Adding alternate Fluix recipe (charged certus quartz in a metallurgic_infuser
	event.recipes.mekanism.metallurgic_infusing(item.of("appliedenergistics2:fluix_crystal", 2),"appliedenergistics2:charged_certus_quartz_crystal", "mekanism:redstone", 20)
	event.recipes.mekanism.metallurgic_infusing(item.of("powah:dielectric_paste", 12), "minecraft:clay_ball", "mekanism:carbon", 20)
	event.recipes.mekanism.metallurgic_infusing(item.of("fluxnetworks:flux_dust"), "minecraft:redstone", "mekanism:refined_obsidian", 10)
	
	event.replaceInput({output: "thermal:energy_cell_frame"}, "#forge:ingots/lead", "#forge:plates/lead")
	
	
	//Carbon Fibre
	event.recipes.mekanism.metallurgic_infusing(item.of("kubejs:carbon_fibre"), "botania:mana_string", "mekanism:carbon", 10)
	event.recipes.mekanism.metallurgic_infusing(item.of("kubejs:carbon_fibre"), "#forge:string", "mekanism:carbon", 30)
	
	event.recipes.mekanism.enriching("kubejs:carbon_plate", item.of("kubejs:carbon_mesh", 2))
	event.recipes.thermal.press("kubejs:carbon_plate", item.of("kubejs:carbon_mesh", 2))
	
	//Steel Unification
	event.replaceInput({}, "immersiveengineering:ingot_steel", "mekanism:ingot_steel")
	event.replaceOutput({}, "immersiveengineering:ingot_steel", "mekanism:ingot_steel")
	
	//Circuit Boards and PCB boards
	event.recipes.mekanism.metallurgic_infusing("kubejs:basic_pcb_wired", "kubejs:basic_pcb", "mekanism:redstone", 30)
	event.recipes.mekanism.metallurgic_infusing("kubejs:mid_pcb_wired", "kubejs:mid_pcb", "mekanism:redstone", 50)
	event.recipes.mekanism.metallurgic_infusing("kubejs:advanced_pcb_wired", "kubejs:advanced_pcb", "mekanism:gold", 30)
	event.recipes.mekanism.metallurgic_infusing("kubejs:extreme_pcb_wired", "kubejs:extreme_pcb", "mekanism:gold", 50)
	
	event.recipes.thermal.sawmill(item.of("kubejs:basic_pcb", 4), "minecraft:smooth_stone")
	event.recipes.mekanism.sawing(item.of("kubejs:basic_pcb", 4), "minecraft:smooth_stone")
	
	event.recipes.thermal.sawmill(item.of("kubejs:mid_pcb", 4), "#forge:plates/invar")
	event.recipes.mekanism.sawing(item.of("kubejs:mid_pcb", 4), "#forge:plates/invar")
	
	event.recipes.thermal.sawmill(item.of("kubejs:advanced_pcb", 2), "#forge:plastic")
	event.recipes.mekanism.sawing(item.of("kubejs:advanced_pcb", 2), "#forge:plastic")
	
	event.recipes.thermal.sawmill(item.of("kubejs:extreme_pcb", 2), "kubejs:carbon_plate")
	event.recipes.mekanism.sawing(item.of("kubejs:extreme_pcb", 2), "kubejs:carbon_plate")
	
	//Removing integral component/upgrade tier recipes for replacement
	event.remove({output: "mekanism:advanced_tier_installer"})
	event.remove({output: "mekanism:elite_tier_installer"})
	event.remove({output: "mekanism:ultimate_tier_installer"})
	
	event.remove({output: "thermal:upgrade_augment_1"})
	event.remove({output: "thermal:upgrade_augment_2"})
	event.remove({output: "thermal:upgrade_augment_3"})
	
	event.shaped("thermal:upgrade_augment_1", [
		"ADA",
		"CBC",
		"ADA"
	], {
		A: "thermal:invar_plate",
		B: "kubejs:mid_microcontroller",
		C: "thermal:bronze_gear",
		D: "#forge:glass"
	})
	event.shaped("thermal:upgrade_augment_2", [
		"ABA",
		"CEC",
		"ADA"
	], {
		A: "thermal:electrum_plate",
		B: "kubejs:high_microcontroller",
		C: "thermal:signalum_gear",
		D: "#forge:glass",
		E: "thermal:upgrade_augment_1"
	})
	event.shaped("thermal:upgrade_augment_3", [
		"ABA",
		"CEC",
		"ADA"
	], {
		A: "thermal:enderium_plate",
		B: "kubejs:extreme_microcontroller",
		C: "thermal:lumium_gear",
		D: ["thermal:obsidian_glass", "mekanism:structural_glass"],
		E: "thermal:upgrade_augment_2"
	})
	event.shaped("mekanism:advanced_tier_installer", [
		"ABA",
		"CEC",
		"ADA"
	], {
		A: "mekanism:alloy_infused",
		B: "kubejs:mid_microcontroller",
		C: "#forge:ingots/osmium",
		D: ["mekanism:advanced_control_circuit", "kubejs:mid_pcb_wired"],
		E: "#minecraft:planks"
	})
	event.shaped("mekanism:elite_tier_installer", [
		"ABA",
		"CEC",
		"ADA"
	], {
		A: "mekanism:alloy_reinforced",
		B: "kubejs:high_microcontroller",
		C: "#forge:ingots/osmium",
		D: ["mekanism:elite_control_circuit", "kubejs:advanced_pcb_wired"],
		E: "#minecraft:planks"
	})
	event.shaped("mekanism:ultimate_tier_installer", [
		"ABA",
		"CEC",
		"ADA"
	], {
		A: "mekanism:alloy_atomic",
		B: "kubejs:extreme_microcontroller",
		C: "#forge:ingots/refined_obsidian",
		D: ["mekanism:ultimate_control_circuit", "kubejs:extreme_pcb_wired"],
		E: "#minecraft:planks"
	})
	
	//Unifying Crafting Tables
	event.replaceInput("minecraft:crafting_station", "#forge:workbench")
	
	//Mining Gadgets recipes
	event.remove({output: "mininggadgets:mininggadget"})
	
	event.shaped("mininggadgets:mininggadget", [
		"AAB",
		"ACD",
		"AA "
	],	{
		A:"#forge:plates/steel",
		B:"mininggadgets:upgrade_empty",
		C:"kubejs:basic_microcontroller",
		D:"#forge:glass"
	})
	
	event.remove({output: "mininggadgets:upgrade_empty"})
	
	event.shaped("mininggadgets:upgrade_empty", [
		"CAC",
		"ABA",
		"CAC"
	], 	{
		A: "#forge:glass_panes",
		B: "#forge:plates/iron",
		C: "mekanism:alloy_infused"
	})
	
	//logistics lasers recipes and shit
	event.replaceInput("logisticslasers:card_blank", "mininggadgets:upgrade_empty")
	
	event.remove({output:"logisticslasers:card_blank"})
	
	event.replaceInput("logisticslasers:logic_chip", "appliedenergistics2:logic_processor")
	
	event.remove({output:"logisticslasers:logic_chip"})
	
	event.remove({output:"logisticslasers:raw_logic_chip"})
	
	event.remove({output:"mininggadgets:modificationtable"})
	
	event.shaped("mininggadgets:modificationtable", [
		"CEC",
		"ABA",
		"CDC"
	], 	{
		A: "#forge:dusts/redstone",
		B: "thermal:machine_frame",
		C: "#forge:plates/iron",
		D: "mininggadgets:upgrade_empty",
		E: "kubejs:basic_microcontroller"
	})
	
	event.remove({output:"buildinggadgets:template_manager"})
	
	event.shaped("buildinggadgets:template_manager", [
		"CEC",
		"ABA",
		"CDC"
	], 	{
		A: "#forge:plates/gold",
		B: "thermal:machine_frame",
		C: "#forge:plates/iron",
		D: "#forge:chests",
		E: "kubejs:basic_microcontroller"
	})
	
	event.remove({output:"logisticslasers:controller"})
	
	event.shaped("logisticslasers:controller", [
		"CEC",
		"ABA",
		"CDC"
	], 	{
		A: "logisticslasers:basicnode",
		B: "thermal:machine_frame",
		C: "#forge:plates/iron",
		D: "#forge:storage_blocks/diamond",
		E: "kubejs:mid_microcontroller"
	})
	
	event.remove({output: "logisticslasers:basicnode"})
	
	event.shaped("logisticslasers:basicnode", [
		"ABA",
		"CDC",
		"   "
	], 	{
		A: "#forge:dusts/redstone",
		B: "#forge:glass",
		C: "#forge:plates/iron",
		D: "kubejs:basic_pcb_wired"
	})
	
	event.remove({output: "logisticslasers:inventorynode"})
	
	event.shaped("logisticslasers:inventorynode", [
		" A ",
		"CDC"
	], 	{
		A: "logisticslasers:basicnode",
		C: "#forge:plates/iron",
		D: "mekanism:alloy_infused"
	})
	
	
	event.remove({output: "logisticslasers:crafting_station"})
	
	event.shaped("logisticslasers:crafting_station", [
		"ABA",
		"CDC",
		"AEA"
	], 	{
		A: "#forge:plates/iron",
		B: "#forge:workbench",
		C: "logisticslasers:basicnode",
		D: "thermal:machine_frame",
		E: "#forge:chests"
	})
	
	
	//Extreme Reactors refactor
	event.remove({output: "bigreactors:basic_reactorcasing"})
	event.remove({output: "bigreactors:basic_turbinecasing"})
	event.remove({output: "bigreactors:reinforced_reactorcasing"})
	event.remove({output: "bigreactors:reinforced_turbinecasing"})
	
	event.shaped("bigreactors:basic_reactorcasing", [
		"ABA",
		"BCB",
		"ABA"
	], 	{
		A: "#forge:plates/iron",
		B: "#forge:plates/steel",
		C: "#forge:plates/lead"
	})
	
	event.shaped("bigreactors:reinforced_reactorcasing", [
		"ABA",
		"BCB",
		"ABA"
	], 	{
		A: "kubejs:carbon_plate",
		B: "#forge:ingots/graphite",
		C: "thermal:machine_frame"
	})
	
	
	event.shaped("bigreactors:basic_turbinecasing", [
		"ABA",
		"BCB",
		"ABA"
	], 	{
		A: "#forge:plates/iron",
		B: "#forge:ingots/cyanite",
		C: "thermal:machine_frame"
	})
	
	event.shaped("bigreactors:reinforced_turbinecasing", [
		"ABA",
		"BCB",
		"ABA"
	], 	{
		A: "#forge:plates/steel",
		B: "#forge:ingots/cyanite",
		C: "mekanism:steel_casing"
	})
	
	event.replaceInput({mod: "bigreactors"}, "#forge:ingots/iron", "#forge:plates/iron")
	
	event.replaceInput({mod: "bigreactors"}, "#forge:ingots/steel", "#forge:plates/steel")
	
	//Adding plate recipes to mekanism machines
	/*var metals = ["iron", "gold", "copper", "tin", "lead", "silver", "nickel", "bronze", "electrum", "invar", "constantan", "signalum", "enderium", "lumium"]
	for(var i = 0; i < metals.length; i++){
		event.recipe.mekanism.enriching("#forge:ingots/" + metals[i], "thermal:" + metals[i] + "_plate")
	}*/
	event.recipes.mekanism.enriching(item.of("thermal:iron_plate"), "#forge:ingots/iron")
	event.recipes.mekanism.enriching(item.of("thermal:gold_plate"), "#forge:ingots/gold")
	event.recipes.mekanism.enriching(item.of("thermal:copper_plate"), "#forge:ingots/copper")
	event.recipes.mekanism.enriching(item.of("thermal:tin_plate"), "#forge:ingots/tin")
	event.recipes.mekanism.enriching(item.of("thermal:lead_plate"), "#forge:ingots/lead")
	event.recipes.mekanism.enriching(item.of("thermal:silver_plate"), "#forge:ingots/silver")
	event.recipes.mekanism.enriching(item.of("thermal:nickel_plate"), "#forge:ingots/nickel")
	event.recipes.mekanism.enriching(item.of("thermal:bronze_plate"), "#forge:ingots/bronze")
	event.recipes.mekanism.enriching(item.of("thermal:electrum_plate"), "#forge:ingots/electrum")
	event.recipes.mekanism.enriching(item.of("thermal:invar_plate"), "#forge:ingots/invar")
	event.recipes.mekanism.enriching(item.of("thermal:constantan_plate"), "#forge:ingots/constantan")
	event.recipes.mekanism.enriching(item.of("thermal:signalum_plate"), "#forge:ingots/signalum")
	event.recipes.mekanism.enriching(item.of("thermal:enderium_plate"), "#forge:ingots/enderium")
	event.recipes.mekanism.enriching(item.of("immersiveengineering:plate_steel"), "#forge:ingots/steel")
	
	//EnviroCore refactor
	event.replaceInput({mod: "envirocore"}, "#forge:ingots/iron", "#forge:plates/iron")
	
	event.replaceInput({mod: "envirocore"}, "#forge:ingots/gold", "#forge:plates/gold")
	
	//ars nouveau reworking
	event.remove({output: "ars_nouveau:novice_spell_book"})
	
	event.shaped("ars_nouveau:novice_spell_book", [
		"ABA",
		"EFC",
		"ADA"
	], 	{
		A: "#forge:gems/aquamarine",
		B: "minecraft:iron_sword",
		C: "minecraft:iron_axe",
		D: "minecraft:iron_shovel",
		E: "minecraft:iron_pickaxe",
		F: "minecraft:book"
	})
	
	event.remove({output: "ars_nouveau:apprentice_spell_book"})
	
	event.shaped("ars_nouveau:apprentice_spell_book", [
		"ABA",
		"CFC",
		"ABA"
	], 	{
		A: "#forge:gems/quartz",
		B: "minecraft:blaze_rod",
		C: "#forge:gems/diamond",
		F: "ars_nouveau:novice_spell_book"
	})
	event.remove({output: "ars_nouveau:archmage_spell_book"})
	
	event.shaped("ars_nouveau:archmage_spell_book", [
		"ACA",
		"EFE",
		"ADA"
	], 	{
		A: "minecraft:quartz",
		C: "minecraft:totem_of_undying",
		D: "minecraft:nether_star",
		E: "bloodmagic:demonslate",
		F: "ars_nouveau:apprentice_spell_book"
	})
	
	//Unifying Sulfurs
	event.replaceInput({}, "#forge:dusts/sulfur", "thermal:sulfur_dust")
	event.replaceOutput({}, "immersiveengineering:dust_sulfur", "thermal:sulfur_dust")
	event.replaceOutput({}, "mekanism:dust_sulfur", "thermal:sulfur_dust")
	event.replaceOutput({}, "bloodmagic:sulfur", "thermal:sulfur_dust")
	
	event.replaceOutput({}, "#forge:dusts/uranium", "mekanism:dust_uranium")
	event.replaceInput({}, "#forge:ingots/uranium", "mekanism:ingot_uranium")
	event.replaceOutput({}, "#forge:ingots/uranium", "mekanism:ingot_uranium")
	
	//Alt Processor Recipes
	event.recipes.mekanism.injecting(item.of("appliedenergistics2:printed_calculation_processor", 4), "appliedenergistics2:purified_certus_quartz_crystal", {gas: "mekanism:sulfuric_acid", amount: 200})
	event.recipes.mekanism.injecting(item.of("appliedenergistics2:printed_logic_processor", 4), "thermal:gold_plate", {gas: "mekanism:sulfuric_acid", amount: 200})
	event.recipes.mekanism.injecting(item.of("appliedenergistics2:printed_engineering_processor", 4), "minecraft:diamond", {gas: "mekanism:sulfuric_acid", amount: 200})
	event.recipes.thermal.press("appliedenergistics2:printed_silicon", "appliedenergistics2:silicon")
	
	event.recipes.thermal.press("appliedenergistics2:logic_processor", ["appliedenergistics2:printed_logic_processor", "appliedenergistics2:printed_silicon"])
	event.recipes.thermal.press("appliedenergistics2:engineering_processor", ["appliedenergistics2:printed_engineering_processor", "appliedenergistics2:printed_silicon"])
	event.recipes.thermal.press("appliedenergistics2:calculation_processor", ["appliedenergistics2:printed_calculation_processor", "appliedenergistics2:printed_silicon"])
	
	event.remove({output: "appliedenergistics2:controller"})
	event.remove({output: "fluxnetworks:flux_controller"})
	event.remove({output: "refinedstorage:controller"})
	event.remove({output: "fluxnetworks:basic_flux_storage"})
	event.remove({output: "fluxnetworks:herculean_flux_storage"})
	event.remove({output: "fluxnetworks:gargantuan_flux_storage"})
	event.remove({output: "fluxnetworks:flux_plug"})
	event.remove({output: "fluxnetworks:flux_point"})
	
	event.shaped("fluxnetworks:flux_plug", [
		"F"
	], {
		F: "fluxnetworks:flux_point"
	})
	event.shaped("fluxnetworks:flux_point", [
		"F"
	], {
		F: "fluxnetworks:flux_plug"
	})
	
	
	//Mekanism Reworking
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/iron", "thermal:iron_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/copper", "thermal:copper_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/bronze", "thermal:bronze_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/gold", "thermal:gold_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/tin", "thermal:tin_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/lead", "thermal:lead_plate")
	event.replaceInput({mod: "mekanism"}, "#forge:ingots/steel", "immersiveengineering:plate_steel")
	
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/iron", "thermal:iron_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/copper", "thermal:copper_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/bronze", "thermal:bronze_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/gold", "thermal:gold_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/tin", "thermal:tin_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/lead", "thermal:lead_plate")
	event.replaceInput({mod: "mekanismgenerators"}, "#forge:ingots/steel", "immersiveengineering:plate_steel")
	
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/iron", "thermal:iron_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/copper", "thermal:copper_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/bronze", "thermal:bronze_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/gold", "thermal:gold_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/tin", "thermal:tin_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/lead", "thermal:lead_plate")
	event.replaceInput({mod: "mekanismadditions"}, "#forge:ingots/steel", "immersiveengineering:plate_steel")
	
	event.recipes.mekanism.enriching(item.of("appliedenergistics2:certus_quartz_dust", 3), "byg:quartzite_sand")

	
	event.replaceInput({mod: "fluxnetworks"}, "minecraft:ender_eye", "powah:ender_core")
	event.replaceInput({mod: "powah"}, "minecraft:iron_ingot", "thermal:iron_plate")
	event.replaceInput({output: "powah:steel_energized"}, "thermal:iron_plate", "minecraft:iron_ingot")
	event.replaceInput({mod: "powah"}, "minecraft:redstone_block", "thermal:rf_coil")
	
	event.recipes.thermal.pulverizer(item.of("astralsorcery:stardust", 2), item.of("astralsorcery:starmetal_ore"))
	event.recipes.mekanism.crushing(item.of("astralsorcery:stardust", 2), item.of("astralsorcery:starmetal_ore"))
	
	event.recipes.thermal.pulverizer("astralsorcery:stardust", "astralsorcery:starmetal_ingot")
	event.recipes.mekanism.crushing(item.of("astralsorcery:stardust"), item.of("astralsorcery:starmetal_ingot"))
	
	event.smelting("astralsorcery:starmetal_ingot", "astralsorcery:stardust")
	
	//event.recipes.stonecutting(["astralsorcery:marble_arch", "astralsorcery:marble_bricks", "astralsorcery:marble_chiseled", "astralsorcery:marble_engraved", "astralsorcery:marble_pillar", "astralsorcery:marble_raw"], "astralsorcery:marble_raw")

	//rftools reworking
	event.replaceInput({}, "rftoolsbase:machine_frame", "thermal:machine_frame")
	
	event.remove({output: "rftoolsutility:crafter1"})
	event.remove({output: "rftoolsutility:crafter2"})
	event.remove({output: "rftoolsutility:crafter3"})
	
	event.shaped("rftoolsutility:crafter1", [
		"ACA",
		"EFE",
		"ADA"
	], 	{
		A: "thermal:iron_plate",
		C: "kubejs:mid_microcontroller",
		D: "minecraft:redstone_torch",
		E: "minecraft:crafting_table",
		F: "thermal:machine_frame"
	})
	event.shaped("rftoolsutility:crafter2", [
		"ACA",
		"EFE",
		"ADA"
	], 	{
		A: "thermal:iron_plate",
		C: "kubejs:high_microcontroller",
		D: "rftoolscontrol:card_base",
		E: "minecraft:crafting_table",
		F: "rftoolsutility:crafter1"
	})
	event.shaped("rftoolsutility:crafter3", [
		"ACA",
		"EFE",
		"ADA"
	], 	{
		A: "immersiveengineering:plate_steel",
		C: "kubejs:extreme_microcontroller",
		D: "powah:ender_core",
		E: "minecraft:crafting_table",
		F: "rftoolsutility:crafter2"
	})
	
	//Replacing 
	/*event.replaceInput({}, "ars_nouveau:magic_clay", ingredient.of(["ars_nouveau:magic_clay", "bloodmagic:blankslate"])
	event.replaceInput({}, "ars_nouveau:marvelous_clay", ingredient.of(["ars_nouveau:marvelous_clay", "bloodmagic:infusedslate"]))
	event.replaceInput({}, "ars_nouveau:mythical_clay", ingredient.of(["ars_nouveau:mythical_clay", "bloodmagic:demonslate"]))*/
	
	event.remove({output: "rftoolsbuilder:shield_block1"})
	event.remove({output: "rftoolsbuilder:shield_block2"})
	event.remove({output: "rftoolsbuilder:shield_block3"})
	event.remove({output: "rftoolsbuilder:shield_block4"})
	
	event.shaped("rftoolsbuilder:shield_block1", [
		"ACA",
		"EFE",
		"ADA"
	], 	{
		A: "thermal:electrum_plate",
		C: "kubejs:mid_microcontroller",
		D: "powah:ender_core",
		E: "thermal:obsidian_glass",
		F: "thermal:machine_frame"
	})
	event.shaped("rftoolsbuilder:shield_block2", [
		"ACA",
		"DFD",
		"AEA"
	], 	{
		A: "thermal:signalum_plate",
		C: "kubejs:high_microcontroller",
		D: "ars_nouveau:glyph_shield",
		E: "thermal:obsidian_glass",
		F: "rftoolsbuilder:shield_block1"
	})
	event.shaped("rftoolsbuilder:shield_block3", [
		"ACA",
		"DFD",
		"AEA"
	], 	{
		A: "thermal:enderium_plate",
		C: "kubejs:extreme_microcontroller",
		D: "mekanism:hdpe_sheet",
		E: "thermal:lumium_glass",
		F: "rftoolsbuilder:shield_block2"
	})
	event.shaped("rftoolsbuilder:shield_block4", [
		"ACA",
		"DFD",
		"AEA"
	], 	{
		A: "fluxnetworks:flux_block",
		C: "kubejs:extreme_microcontroller",
		D: "rftoolsbase:dimensionalshard",
		E: "mekanismgenerators:reactor_glass",
		F: "rftoolsbuilder:shield_block3"
	})
	
	event.remove({output: "rftoolsbuilder:builder"})
	event.shaped("rftoolsbuilder:builder", [
		"ACA",
		"DFD",
		"AEA"
	],	{		
		A: "#forge:plates/steel",
		C: "kubejs:mid_microcontroller",
		D: "minecraft:ender_pearl",
		E: "thermal:obsidian_glass",
		F: "buildinggadgets:gadget_building"
		
	})
	
	event.replaceInput({mod: "rftoolsutility"}, "#forge:ingots/iron", "#forge:plates/iron")
	
	event.remove({output: "rftoolsutility:charged_porter"})
	event.remove({output: "rftoolsutility:advanced_chraged_porter"})
	event.shaped("rftoolsutility:charged_porter", [
		" C ",
		"DFD",
		" E "
	],	{
		C: "botania:mana_pearl",
		D: "minecraft:ender_eye",
		E: "thermal:obsidian_glass",
		F: "kubejs:mid_microcontroller"
	})
	event.shaped("rftoolsutility:advanced_charged_porter", [
		" C ",
		"DFD",
		" E "
	],	{
		C: "botania:spark",
		D: "powah:ender_core",
		E: "thermal:enderium_plate",
		F: "rftoolsutility:charged_porter"
	})
	
	event.remove({output: "compactmachines:wall"})
	event.remove({output: "refinedstorage:cable"})
	event.replaceInput({output: "mekanism:alloy_infused"}, "thermal:iron_plate", "minecraft:iron_ingot")
	event.remove({output: {fluid: "thermal:latex"}})
	event.replaceOutput({fluid: "industrialforegoing:latex"}, {fluid: "thermal:latex"})
	event.replaceInput({fluid: "industrialforegoing:latex"}, {fluid: "thermal:latex"})
	event.shaped("refinedstorage:cable", [
		"ABA",
		"DED",
		"ABA"
	],	{
		A: "thermal:cured_rubber",
		B: "#forge:glass",
		D: "refinedstorage:quartz_enriched_iron",
		E: "mekanism:alloy_infused"
	})
	
	
	//Create
	event.remove({output: "create:belt_connector"})
	event.shaped("create:belt_connector", [
		"AAA",
		"AAA",
		"   "
	],	{
		A: ["minecraft:dried_kelp", "#forge:plastic", "thermal:cured_rubber"]
	})
	event.recipes.mekanism.enriching(item.of("create:polished_rose_quartz"), item.of("create:rose_quartz"))
	event.recipes.mekanism.metallurgic_infusing(item.of("create:rose_quartz"), item.of("appliedenergistics2:purified_nether_quartz_crystal"), "mekanism:redstone", 20)
	
	event.recipes.thermal.compression_fuel(fluid.of('immersivepetroleum:gasoline', 1000)).energy(2000000)
	event.recipes.thermal.compression_fuel(fluid.of('immersivepetroleum:diesel', 1000)).energy(2500000)

	event.replaceInput({output: "immersivepetroleum:projector"}, "#forge:treated_wood", "#minecraft:planks")
	
	event.replaceInput({output: "mekanism:laser"}, "minecraft:diamond", "byg:therium_crystal")
	event.replaceInput({output: "mekanism:laser_amplifier"}, "minecraft:diamond", "byg:therium_crystal")
})
	